View Issue Details

IDProjectCategoryView StatusLast Update
0003263SymmetricDSImprovementpublic2017-10-06 07:51
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.30Fixed in Version3.8.30 
Summary0003263: Optimize inserting of initial load events for lots of nodes
DescriptionOptimize inserting of initial load events for lots of nodes. We read the same configuration information from the database for each node when we could read it once and use it for each node.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 dc0f364c

2017-10-02 14:17:15

chenson42

Details Diff
0003263: Optimize inserting of initial load events for lots of nodes
0003263
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2017-09-28 15:19 chenson New Issue
2017-09-28 15:19 chenson Status new => assigned
2017-09-28 15:19 chenson Assigned To => chenson
2017-10-02 15:00 chenson42 Changeset attached => SymmetricDS 3.8 dc0f364c
2017-10-03 11:04 chenson Status assigned => resolved
2017-10-03 11:04 chenson Resolution open => fixed
2017-10-03 11:04 chenson Fixed in Version => 3.8.30
2017-10-06 07:51 chenson Status resolved => closed